Skip to main content
POST
/
api
/
v1
/
images
/
Create image (async)
curl --request POST \
  --url https://api.kynva.ai/api/v1/images/ \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "templateId": "<string>",
  "modifications": [
    {
      "name": "<string>",
      "text": "<string>",
      "src": "<string>",
      "color": "<string>",
      "visible": true
    }
  ],
  "webhookUrl": "<string>",
  "metadata": {},
  "stylePreset": "<string>"
}
'
import requests

url = "https://api.kynva.ai/api/v1/images/"

payload = {
"templateId": "<string>",
"modifications": [
{
"name": "<string>",
"text": "<string>",
"src": "<string>",
"color": "<string>",
"visible": True
}
],
"webhookUrl": "<string>",
"metadata": {},
"stylePreset": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
templateId: '<string>',
modifications: [
{
name: '<string>',
text: '<string>',
src: '<string>',
color: '<string>',
visible: true
}
],
webhookUrl: '<string>',
metadata: {},
stylePreset: '<string>'
})
};

fetch('https://api.kynva.ai/api/v1/images/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true,
  "data": {
    "id": "<string>",
    "status": "pending",
    "statusUrl": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Your Kynva API key (kyn_live_xxx or kyn_test_xxx; legacy rf_ keys remain valid)

Body

application/json
templateId
string
required

ID of the template to render

modifications
object[]

Array of layer modifications

webhookUrl
string<uri>

URL to POST when rendering completes

metadata
object

Custom metadata to attach

stylePreset
string

Style preset ID to apply (e.g., "retro-80s", "cyberpunk")

Response

202 - application/json

Job queued successfully

Job queued successfully

success
boolean
data
object